MinimServer Forum

Full Version: Minim and Java 8
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Will MinimServer work on Java8? I see an available update on my QNAP NAS, but was hesitant to upgrade, because I had issues with Java 8 (other soft, not Minim) and had to revert to 1.7.
(27-05-2014 00:30)Alekz Wrote: [ -> ]Will MinimServer work on Java8? I see an available update on my QNAP NAS, but was hesitant to upgrade, because I had issues with Java 8 (other soft, not Minim) and had to revert to 1.7.

Which QNAP model do you have? Which level of QNAP firmware are you running?

MinimServer has been tested with Java 8 and is fully compatible.
Yes! It works! Thanks!
(28-05-2014 22:32)Alekz Wrote: [ -> ]Yes! It works! Thanks!

Which QNAP model do you have? Which level of QNAP firmware are you running?
Simon,

I just upgraded to Java 8 as well, no problems, all working fine.

Details are:

QNAP TS-459 Pro+ Ver: 4.0.7 Date: 2014-04-12

MinimServer 0.8.1 update 30, Copyright © 2012-2014 Simon Nash. All rights reserved.
MinimStreamer 0.4, Copyright © 2012-2014 Simon Nash. All rights reserved.
Java™ SE Embedded Runtime Environment (build 1.8.0-b132)
Java HotSpot™ Embedded Client VM (build 25.0-b70, mixed mode)
Platform default charset is UTF-8
starting MinimServer

Peter
(29-05-2014 14:27)Peter@57m Wrote: [ -> ]Simon,

I just upgraded to Java 8 as well, no problems, all working fine.

Details are:

QNAP TS-459 Pro+ Ver: 4.0.7 Date: 2014-04-12

MinimServer 0.8.1 update 30, Copyright © 2012-2014 Simon Nash. All rights reserved.
MinimStreamer 0.4, Copyright © 2012-2014 Simon Nash. All rights reserved.
Java™ SE Embedded Runtime Environment (build 1.8.0-b132)
Java HotSpot™ Embedded Client VM (build 25.0-b70, mixed mode)
Platform default charset is UTF-8
starting MinimServer

Peter

Thanks for this. Have you had any problems with 4.0.7? I am planning to move up to this level (from 3.7.3) so that I can access the QNAP App Center.
(29-05-2014 14:42)simoncn Wrote: [ -> ]Thanks for this. Have you had any problems with 4.0.7? I am planning to move up to this level (from 3.7.3) so that I can access the QNAP App Center.

Not in terms of MinimServer.

I do not really make a lot of use of it other than for backups of several TB of photos and other stuff on PCs and iThingies.

One pre 4 app I was using was photostation and used the QNAP cloud to publish it. This all changed with 4 and stopped working. The replacement is dreadful IMHO and a complete PITA. Now using something called ZenPhoto which is great. This uses MySQLServer, PHP, WebServer and all seems to work fine.

Other than the change in PhotoStation, its all worked fine in-spite of the many apparent issues other seem to have had on the QNAP forum that I recall. Don't really look at that forum now - don't understand most of it and its all worrying :-)
(29-05-2014 14:56)Peter@57m Wrote: [ -> ]Not in terms of MinimServer.

I do not really make a lot of use of it other than for backups of several TB of photos and other stuff on PCs and iThingies.

One pre 4 app I was using was photostation and used the QNAP cloud to publish it. This all changed with 4 and stopped working. The replacement is dreadful IMHO and a complete PITA. Now using something called ZenPhoto which is great. This uses MySQLServer, PHP, WebServer and all seems to work fine.

Other than the change in PhotoStation, its all worked fine in-spite of the many apparent issues other seem to have had on the QNAP forum that I recall. Don't really look at that forum now - don't understand most of it and its all worrying :-)

Thanks! I am also worried by all the QNAP forum comments about recent firmware versions, which is why I have stayed with 3.7.3 up to now. This is the NAS that I use for listening (not testing), so it needs to be 100% reliable.
Reference URL's